Bug 134976 - REGRESSION(r171033) [GTK] media/media-controls-invalid-url.html and media/video-fast-seek.html fail
Summary: REGRESSION(r171033) [GTK] media/media-controls-invalid-url.html and media/vid...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-16 08:50 PDT by Carlos Alberto Lopez Perez
Modified: 2017-08-21 11:38 PDT (History)
6 users (show)

See Also:


Attachments
Reduced test case for media-controls-invalid-url.html (270 bytes, text/html)
2017-08-21 04:46 PDT, Ms2ger (he/him; ⌚ UTC+1/+2)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Alberto Lopez Perez 2014-07-16 08:50:40 PDT
Revision r171033 <http://trac.webkit.org/r171033> has caused the 2 following tests to fail on the GTK port:

  media/media-controls-invalid-url.html [ Failure ]
    * Diff: http://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20%28Tests%29/r171040%20%281383%29/media/media-controls-invalid-url-pretty-diff.html
  media/video-fast-seek.html [ Failure ]
    * Diff: http://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20%28Tests%29/r171040%20%281383%29/media/video-fast-seek-pretty-diff.html


It also has caused the following diff on the test http/tests/w3c/webperf/approved/navigation-timing/html/test_timing_xserver_redirect.html : http://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20%28Tests%29/r171040%20%281383%29/http/tests/w3c/webperf/approved/navigation-timing/html/test_timing_xserver_redirect-pretty-diff.html 
But I understand this last one only needs to be rebaselined.
Comment 1 Carlos Alberto Lopez Perez 2014-07-16 20:07:37 PDT
I double checked this: I tested to locally revert r171033 and this two test pass again.

I have marked this two test as failing on the GTK TestExpectations, as also rebaselined the test http/tests/w3c/webperf/approved/navigation-timing/html/test_timing_xserver_redirect.html on r171169 <http://trac.webkit.org/r171169>
Comment 2 Michael Catanzaro 2016-10-16 18:33:10 PDT
media/media-controls-invalid-url.html is now timing out as well. Updating expectations accordingly.
Comment 3 Ms2ger (he/him; ⌚ UTC+1/+2) 2017-08-21 04:45:07 PDT
(In reply to Carlos Alberto Lopez Perez from comment #0)
> Revision r171033 <http://trac.webkit.org/r171033> has caused the 2 following
> tests to fail on the GTK port:
> 
>   media/media-controls-invalid-url.html [ Failure ]

Current result:

This tests that media element controls are reset to their default state when the src is changed to an invalid url.

This test only runs in DRT!


EVENT(canplaythrough)
EXPECTED (getTimeLineValue() == '0') OK
EVENT(seeked)
EXPECTED (getTimeLineValue() == '1') OK
EVENT(error)
EXPECTED (getTimeLineValue() == '0'), OBSERVED '1' FAIL
END OF TEST


Two problems here:

- We don't update the displayed duration after an error event.
- Even if we did update it from the error handler, the failing check runs before mediaControls's error handler. (A setTimeout(0) in the test would probably be enough to fix that, though.)

Also note that the test fails the same way on mac: bug 67716.
Comment 4 Ms2ger (he/him; ⌚ UTC+1/+2) 2017-08-21 04:46:54 PDT
Created attachment 318627 [details]
Reduced test case for media-controls-invalid-url.html
Comment 5 Eric Carlson 2017-08-21 11:38:44 PDT
(In reply to Ms2ger from comment #3)
> 
> Two problems here:
> 
> - We don't update the displayed duration after an error event.
> - Even if we did update it from the error handler, the failing check runs
> before mediaControls's error handler. (A setTimeout(0) in the test would
> probably be enough to fix that, though.)
> 
> Also note that the test fails the same way on mac: bug 67716.

This test now passes on macOS.